ProjectionListener (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.event
Interface ProjectionListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  AmpLinkLayer, AOILayer, AreaShapeLayer, ASRPLayer, BasicLayer, BeanBoxDnDCatcher, BoundsTestLayer, BufferedLayer, BufferedLayer.BLMapBean, BufferedLayerMapBean, BufferedLinkLayer, BufferedMapBean, BufferedShapeLayer, CacheLayer, DateLayer, DayNightLayer, DefaultDnDCatcher, DemoLayer, DistQuickTool.MouseMode, DrawingToolLayer, DrawLinkLayer, DTEDCoverageLayer, DTEDFrameCacheLayer, DTEDLayer, E00Layer, EarthquakeLayer, EditorLayer, EmbeddedNavPanel, EmbeddedScaleDisplayPanel, EsriLayer, ETOPOJarLayer, ETOPOLayer, EventLayer, GeoCrossDemoLayer, GeoIntersectionLayer, GeoTestLayer, GraticuleLayer, HelloWorldLayer, ImageTileLayer, InteractionLayer, LabelLayer, Layer, LinkLayer, LocationLayer, MapBean, MapTileLayer, MapTileMakerComponent, MapTileUtilLayer, MIFLayer, MultiRoadLayer, MultiShapeLayer, MysqlGeometryLayer, NexradLayer, OMDrawingTool, OMGraphicHandlerLayer, OverviewMapAreaLayer, OverviewMapHandler, PanMouseMode, PlotLayer, PlugInLayer, ProjectionMenu, ProjectionResponseLayer, ProjectionStack, RoadFinder, RpfLayer, ScaleDisplayLayer, ScaleFilterLayer, ScaleTextPanel, ShapeLayer, SimpleAnimationLayer, SimpleBeanLayer, SinkLayer, TerrainLayer, TestLayer, TimelineLayer, TimerLocationLayer, TimeSliderLayer, VPFFeatureLayer, VPFLayer, VPFRoadLayer

    public interface ProjectionListener

extends java.util.EventListener

Interface for listening to ProjectionEvents.

ProjectionEvent is fired when something fundamental about the MapBean changes (e.g. when width, height, scale, type, center, etc changes).

Method Summary
`void` | `projectionChanged(ProjectionEvent e)` Invoked when there has been a fundamental change to the Map.

Method Detail

### projectionChanged

    void projectionChanged(ProjectionEvent e)

  Invoked when there has been a fundamental change to the Map.

  Layers are expected to recompute their graphics (if this makes sense), and then `repaint()` themselves.

  Parameters:
    `e` - ProjectionEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details